Description

See also this thread: https://spinics.net/lists/ceph-devel/msg42762.html

Extend the "roles" array to accept a distribution specification, e.g.:

roles:

  -

    daemons: ["osd.0", "mon.a", ...]

    os:

      type: ubuntu

      version: 16.04

    kernel: testing

  -

    daemons: ["client.0"]

    os:

      type: rhel

      version: 7.5

    kernel: distro

 

Teuthology should continue to accept the old specification as well:

roles:

- [osd.0, ...]

- [osd.1, ...]

 

The driving need for this currently is that we want to continue testing older kernels like RHEL7 but this is difficult when Octopus no

longer has builds for RHEL7/CentOS7.

Related issues:

Related to CephFS - Bug #43600: qa: workunits/suites/iozone.sh: line 5: iozon... Resolved

History

#1 - 01/15/2020 08:48 PM - Patrick Donnelly

- Related to Bug #43600: qa: workunits/suites/iozone.sh: line 5: iozone: command not found added

#2 - 06/30/2020 04:38 PM - Kyrylo Shatskyy

This looks related to https://github.com/ceph/teuthology/pull/1051

#3 - 09/23/2020 01:51 PM - Patrick Donnelly
https://spinics.net/lists/ceph-devel/msg42762.html
https://github.com/ceph/teuthology/pull/1051


- Priority changed from Urgent to Normal
